Subject: Re: The next thing: supply of tools from CASU to WFAU

From: Mike Irwin <[email-masked]>
Date: Fri, 7 Mar 2003 15:23:20 +0000 (GMT)

When you have a new ICD version let me know so I can have another read
through.

> Now: one issue not covered in the ICD is the supply of your standard
> image manipulation tools for implementation (for the purposes of curation
> and on-the-fly usages) at the archive end. We've made several statements
> in docs in the past about doing this, eg. bespoke stacks/mosaics,
> running your standard source extraction on-the-fly on such products, and
> of course the nightmare of list-driven measurements at externally
> specified positions with given apertures and profiles.

> So I think our WSA shopping list is as follows:
>
> 1) Standard source extraction module:
>    Input a FITS file (single or MEF) and output source detections;
>      "   "   "   "      "    "   "   along with a list of positions and
>          and output list-driven photometric measurements (ouch!)

Ok this is not the same tool for both.  The generic catalogue generation
tool will be an updated version (ie. including all the new parameters) of
the one we already use.  The current one is available from Jim Lewis now.
The updated one will be ready end of version 1 timeperiod (or maybe I
should say first real sicence data light).

The list driven photometry tool: we have a very early prototype as
mentioned on the web pages which seems to do the job very well.  This
needs a fair bit more work before we release it on the unsuspecting
community, not the least of which is more work on deriving the master
driving catalogue.  Both aspects are in hand but the first real version
of the list driven package will not be out until toward end of next
quarter ie. June.  [The less documents we have to write between now and
then the faster it will get done.]  We also need to think a bit more
on how we present this "extra" information since it will in general
be unrelated to any individual generic standard catalogue.

> 2) Standard stacking utility:
>    Input a list of images and then resample as necessary & stack

You have the current one of these don't you ?  This simply uses NN
resampling ie. no interpolation.

> 3) Standard mosaicing utility:
>    Input a list of images and then resample as necessary & mosaic.

Ditto.

> (maybe 2 & 3 are the same generalised utility); all output will of course
> be standard FITS images and FITS binary table catalogues as you do
> already.

Yes should be.  2 and 3 are separate tools.  Current philosophy for
simplicity and practicality is that the stacker does the stacking with
rejection, confidence maps etc...  The mosaicer just glues bits together
suitably confidence weighted.  These are the general puprpose tools.
Jim will also have more pipeline specific versions for .... well .... the
nightly pipeline.  The current current version of the mosaicer produces
WCS of the RA---TAN and DEC--TAN flavour since you have complete freedom
to specify this in doing the resampling and we may as well make these,
at least, viewable in any browser.  I suggest we stick with this.

> First thing: have I missed anything?; second thing: is this OK with you,
> and if so, do you have any idea of when you might be in a position to
> supply these utilities? My guess is that the only thing above that might
> cause trouble is the list-driven measurement thing; but unfortunately (and
> this is my fault!) I agreed with UKIDSS that we would try to do this,
> at least between the WFCAM passbands, for the V1 archive system. For V2,
> this list-driven thing needs to be able to work on SDSS images, so it
> would help if it is pretty generalised so as to be able work on non-WFCAM
> image data.

It will be and I don't foresee any problems in having a version for first
real science data that does the lot   :-)